Subject: bug#33670: 26.1; very large c++-mode yank performance regression 25.3_1-x86_64 -> 26.1-x86_64

From: Chris Hecker <[email-masked]>
Date: Sun, 9 Dec 2018 09:57:10 -0800

I think I can send it to you privately, I’ll mail you off the bug list
later today.

Chris

On Sun, Dec 9, 2018 at 04:06 Alan Mackenzie <[email-masked]> wrote:

> Hello, Chris.
>
> On Sat, Dec 08, 2018 at 13:31:42 -0800, Chris Hecker wrote:
> > It wasn’t a string, it was a single line function call.  Very simple
> code.
>
> > Like:
>
> >    Foo();
>
> Ah.  That's worrying.  The cause of the slowdown will not be found in
> that single line of code, rather in its context.
>
> The way CC Mode works is, at each buffer change, a region around the
> change where side effects might propagate is calculated.  This region is
> then checked for any such side effects.  I'm guessing here, but it might
> well be that the region in this case has been extended far more than is
> necessary.
>
> Is there any way you could get a copy of the file to me, specifying a
> line which shows the problem?  It's practically impossible to debug
> otherwise.
>
> Thanks!
>
> > Chris
>
> --
> Alan Mackenzie (Nuremberg, Germany).
>